Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/orografi_strato.F
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/orografi_strato.F	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/orografi_strato.F	(revision 1299)
@@ -89,4 +89,6 @@
       REAL pt(klon,klev), pu(klon,klev), pv(klon,klev)
       REAL papmf(klon,klev),papmh(klon,klev+1)
+      CHARACTER (LEN=20) :: modname='orografi_strato'
+      CHARACTER (LEN=80) :: abort_message
 c
 c INITIALIZE OUTPUT VARIABLES 
@@ -1680,4 +1682,7 @@
       logical lifthigh
       real zcons1,ztmst
+      CHARACTER (LEN=20) :: modname='orolift_strato'
+      CHARACTER (LEN=80) :: abort_message
+
 
 C-----------------------------------------------------------------------
@@ -1688,5 +1693,8 @@
       lifthigh=.false.
 
-      if(nlon.ne.klon.or.nlev.ne.klev)stop
+      if(nlon.ne.klon.or.nlev.ne.klev) then
+        abort_message = 'pb dimension'
+        CALL abort_gcm (modname,abort_message,1)
+      ENDIF
       zcons1=1./rd
       ztmst=ptsphy
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/pbl_surface_mod.F90
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/pbl_surface_mod.F90	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/pbl_surface_mod.F90	(revision 1299)
@@ -22,4 +22,6 @@
   USE climb_wind_mod,      ONLY : climb_wind_down, climb_wind_up
   USE coef_diff_turb_mod,  ONLY : coef_diff_turb
+  USE control_mod
+
 
   IMPLICIT NONE
@@ -257,5 +259,4 @@
     INCLUDE "YOETHF.h"
     INCLUDE "temps.h"
-    INCLUDE "control.h"
 ! Input variables
 !****************************************************************************************
@@ -657,5 +658,5 @@
           tabindx(:)=0.
           DO i=1,knon
-             tabindx(i)=FLOAT(i)
+             tabindx(i)=REAL(i)
           END DO
           debugtab(:,:) = 0.
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/phyredem.F
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/phyredem.F	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/phyredem.F	(revision 1299)
@@ -1,4 +1,4 @@
 !
-! $Header$
+! $Id$
 !
 c
@@ -14,4 +14,6 @@
       USE traclmdz_mod, ONLY : traclmdz_to_restart
       USE infotrac
+      USE control_mod
+
 
       IMPLICIT none
@@ -24,5 +26,4 @@
 #include "dimsoil.h"
 #include "clesphys.h"
-#include "control.h"
 #include "temps.h"
 #include "thermcell.h"
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/phys_state_var_mod.F90
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/phys_state_var_mod.F90	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/phys_state_var_mod.F90	(revision 1299)
@@ -289,4 +289,5 @@
 SUBROUTINE phys_state_var_init(read_climoz)
 use dimphy
+USE control_mod
 use aero_mod
 IMPLICIT NONE
@@ -301,5 +302,4 @@
 
 #include "indicesol.h"
-#include "control.h"
       ALLOCATE(rlat(klon), rlon(klon))
       ALLOCATE(pctsrf(klon,nbsrf))
@@ -411,7 +411,7 @@
 SUBROUTINE phys_state_var_end
 use dimphy
+use control_mod
 IMPLICIT NONE
 #include "indicesol.h"
-#include "control.h"
 
       deallocate(rlat, rlon, pctsrf, ftsol, falb1, falb2)
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/physiq.F
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/physiq.F	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/physiq.F	(revision 1299)
@@ -39,4 +39,6 @@
       use conf_phys_m, only: conf_phys
       use radlwsw_m, only: radlwsw
+      USE control_mod
+
 
       IMPLICIT none
@@ -97,5 +99,4 @@
 #include "dimsoil.h"
 #include "clesphys.h"
-#include "control.h"
 #include "temps.h"
 #include "iniprint.h"
@@ -1348,5 +1349,5 @@
          ENDIF
 c
-         IF (dtime*FLOAT(radpas).GT.21600..AND.cycle_diurne) THEN 
+         IF (dtime*REAL(radpas).GT.21600..AND.cycle_diurne) THEN 
            WRITE(lunout,*)'Nbre d appels au rayonnement insuffisant'
            WRITE(lunout,*)"Au minimum 4 appels par jour si cycle diurne"
@@ -1518,6 +1519,6 @@
          CALL VTb(VTinca)
 !         iii = MOD(NINT(xjour),360)
-!         calday = FLOAT(iii) + jH_cur
-         calday = FLOAT(days_elapsed) + jH_cur
+!         calday = REAL(iii) + jH_cur
+         calday = REAL(days_elapsed) + jH_cur
          WRITE(lunout,*) 'initial time chemini', days_elapsed, calday
 
@@ -1801,5 +1802,5 @@
 !   solarlong0
         if (solarlong0<-999.) then
-           CALL orbite(FLOAT(days_elapsed+1),zlongi,dist)
+           CALL orbite(REAL(days_elapsed+1),zlongi,dist)
         else
            zlongi=solarlong0  ! longitude solaire vraie
@@ -1812,5 +1813,5 @@
 !  Avec ou sans cycle diurne
       IF (cycle_diurne) THEN
-        zdtime=dtime*FLOAT(radpas) ! pas de temps du rayonnement (s)
+        zdtime=dtime*REAL(radpas) ! pas de temps du rayonnement (s)
         CALL zenang(zlongi,jH_cur,zdtime,rlat,rlon,rmu0,fract)
       ELSE
@@ -1961,5 +1962,6 @@
 
       IF (iflag_con.EQ.1) THEN
-          stop'reactiver le call conlmd dans physiq.F'
+        abort_message ='reactiver le call conlmd dans physiq.F'
+        CALL abort_gcm (modname,abort_message,1)
 c     CALL conlmd (dtime, paprs, pplay, t_seri, q_seri, conv_q,
 c    .             d_t_con, d_q_con,
@@ -2205,7 +2207,7 @@
           za = 0.0
           DO i = 1, klon
-            za = za + airephy(i)/FLOAT(klon)
+            za = za + airephy(i)/REAL(klon)
             zx_t = zx_t + (rain_con(i)+
-     .                   snow_con(i))*airephy(i)/FLOAT(klon)
+     .                   snow_con(i))*airephy(i)/REAL(klon)
           ENDDO
           zx_t = zx_t/za*dtime
@@ -2599,7 +2601,7 @@
          za = 0.0
          DO i = 1, klon
-            za = za + airephy(i)/FLOAT(klon)
+            za = za + airephy(i)/REAL(klon)
             zx_t = zx_t + (rain_lsc(i)
-     .                  + snow_lsc(i))*airephy(i)/FLOAT(klon)
+     .                  + snow_lsc(i))*airephy(i)/REAL(klon)
         ENDDO
          zx_t = zx_t/za*dtime
@@ -2823,5 +2825,5 @@
          CALL VTe(VTphysiq)
          CALL VTb(VTinca)
-         calday = FLOAT(days_elapsed + 1) + jH_cur
+         calday = REAL(days_elapsed + 1) + jH_cur
 
          call chemtime(itap+itau_phy-1, date0, dtime)
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/phystokenc.F
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/phystokenc.F	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/phystokenc.F	(revision 1299)
@@ -13,4 +13,6 @@
       USE infotrac, ONLY : nqtot
       USE iophy
+      USE control_mod
+
       IMPLICIT none
 
@@ -24,5 +26,4 @@
 #include "tracstoke.h"
 #include "indicesol.h"
-#include "control.h"
 c======================================================================
 
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/phytrac.F90
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/phytrac.F90	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/phytrac.F90	(revision 1299)
@@ -33,4 +33,6 @@
   USE traclmdz_mod
   USE tracinca_mod
+  USE control_mod
+
 
 
@@ -43,5 +45,4 @@
   INCLUDE "temps.h"
   INCLUDE "paramet.h"
-  INCLUDE "control.h"
   INCLUDE "thermcell.h"
 !==========================================================================
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/read_pstoke.F
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/read_pstoke.F	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/read_pstoke.F	(revision 1299)
@@ -1,4 +1,4 @@
 !
-! $Header$
+! $Id$
 !
 c
@@ -18,6 +18,8 @@
 C******************************************************************************
 
-	use netcdf
-       USE dimphy
+      use netcdf
+      USE dimphy
+      USE control_mod
+
        IMPLICIT NONE
 
@@ -33,5 +35,4 @@
 #include "serre.h"
 #include "indicesol.h"
-#include "control.h"
 cccc#include "dimphy.h"
 	
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/read_pstoke0.F
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/read_pstoke0.F	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/read_pstoke0.F	(revision 1299)
@@ -1,4 +1,4 @@
 !
-! $Header$
+! $Id$
 !
 c
@@ -19,4 +19,6 @@
 	use netcdf
        USE dimphy
+       USE control_mod
+
        IMPLICIT NONE
 
@@ -32,5 +34,4 @@
 #include "serre.h"
 #include "indicesol.h"
-#include "control.h"
 cccc#include "dimphy.h"
 	  
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/readaerosol.F90
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/readaerosol.F90	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/readaerosol.F90	(revision 1299)
@@ -128,5 +128,5 @@
                  DO i = 1, klon
                     pt_out(i,k,it) = &
-                         pt_out(i,k,it) - FLOAT(iyr_in-iyr1)/FLOAT(iyr2-iyr1) * &
+                         pt_out(i,k,it) - REAL(iyr_in-iyr1)/REAL(iyr2-iyr1) * &
                          (pt_out(i,k,it) - pt_2(i,k,it))
                  END DO
@@ -135,9 +135,9 @@
               DO i = 1, klon
                  psurf(i,it) = &
-                      psurf(i,it) - FLOAT(iyr_in-iyr1)/FLOAT(iyr2-iyr1) * &
+                      psurf(i,it) - REAL(iyr_in-iyr1)/REAL(iyr2-iyr1) * &
                       (psurf(i,it) - psurf2(i,it))
 
                  load(i,it) = &
-                      load(i,it) - FLOAT(iyr_in-iyr1)/FLOAT(iyr2-iyr1) * &
+                      load(i,it) - REAL(iyr_in-iyr1)/REAL(iyr2-iyr1) * &
                       (load(i,it) - load2(i,it))
               END DO
@@ -493,6 +493,6 @@
                 spole = spole + varyear(i,jjm+1,k,imth)
              END DO
-             npole = npole/FLOAT(iim)
-             spole = spole/FLOAT(iim)
+             npole = npole/REAL(iim)
+             spole = spole/REAL(iim)
              varyear(:,1,    k,imth) = npole
              varyear(:,jjm+1,k,imth) = spole
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/readaerosol_interp.F90
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/readaerosol_interp.F90	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/readaerosol_interp.F90	(revision 1299)
@@ -126,8 +126,8 @@
   IF(mpi_rank == 0 .AND. debug)then
      ! 0.02 is about 0.5/24, namly less than half an hour
-     OLDNEWDAY = (r_day-FLOAT(iday) < 0.02)
+     OLDNEWDAY = (r_day-REAL(iday) < 0.02)
      ! Once per day, update aerosol fields
      lmt_pas = NINT(86400./pdtphys)
-     PRINT*,'r_day-FLOAT(iday) =',r_day-FLOAT(iday) 
+     PRINT*,'r_day-REAL(iday) =',r_day-REAL(iday) 
      PRINT*,'itap =',itap
      PRINT*,'pdtphys =',pdtphys
@@ -233,10 +233,10 @@
 !
      DO i = 2, 13
-       month_len(i) = float(ioget_mon_len(year_cur, i-1))
+       month_len(i) = REAL(ioget_mon_len(year_cur, i-1))
        CALL ymds2ju(year_cur, i-1, 1, 0.0, month_start(i))
      ENDDO
-     month_len(1) = float(ioget_mon_len(year_cur-1, 12))
+     month_len(1) = REAL(ioget_mon_len(year_cur-1, 12))
      CALL ymds2ju(year_cur-1, 12, 1, 0.0, month_start(1))
-     month_len(14) = float(ioget_mon_len(year_cur+1, 1))
+     month_len(14) = REAL(ioget_mon_len(year_cur+1, 1))
      CALL ymds2ju(year_cur+1, 1, 1, 0.0, month_start(14))
      month_mid(:) = month_start (:) + month_len(:)/2.
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/surf_ocean_mod.F90
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/surf_ocean_mod.F90	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/surf_ocean_mod.F90	(revision 1299)
@@ -141,5 +141,5 @@
 !****************************************************************************************
     IF ( MINVAL(rmu0) == MAXVAL(rmu0) .AND. MINVAL(rmu0) == -999.999 ) THEN
-       CALL alboc(FLOAT(jour),rlat,alb_eau)
+       CALL alboc(REAL(jour),rlat,alb_eau)
     ELSE  ! diurnal cycle
        CALL alboc_cd(rmu0,alb_eau)
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/sw_aeroAR4.F90
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/sw_aeroAR4.F90	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/sw_aeroAR4.F90	(revision 1299)
@@ -186,12 +186,15 @@
 !$OMP THREADPRIVATE(AEROSOLFEEDBACK_ACTIVE)  
 
+      CHARACTER (LEN=20) :: modname='sw_aeroAR4'
+      CHARACTER (LEN=80) :: abort_message
+
   IF ((.not. ok_ade) .and. (AEROSOLFEEDBACK_ACTIVE .ge. 2)) THEN
-     print*,'Error: direct effect is not activated but assumed to be active - see sw_aeroAR4.F90'
-     stop
+     abort_message ='Error: direct effect is not activated but assumed to be active - see sw_aeroAR4.F90'
+     CALL abort_gcm (modname,abort_message,1)
   ENDIF
   AEROSOLFEEDBACK_ACTIVE=MIN(MAX(AEROSOLFEEDBACK_ACTIVE,0),3)
   IF  (AEROSOLFEEDBACK_ACTIVE .gt. 3) THEN
-     print*,'Error: AEROSOLFEEDBACK_ACTIVE options go only until 3'
-     stop
+     abort_message ='Error: AEROSOLFEEDBACK_ACTIVE options go only until 3'
+     CALL abort_gcm (modname,abort_message,1)
   ENDIF
 
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/thermcell.F
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/thermcell.F	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/thermcell.F	(revision 1299)
@@ -1,2 +1,5 @@
+!
+! $Id$
+!
       SUBROUTINE calcul_sec(ngrid,nlay,ptimestep
      s                  ,pplay,pplev,pphi,zlev
@@ -132,4 +135,8 @@
       character*10 str10
 
+      character (len=20) :: modname='calcul_sec'
+      character (len=80) :: abort_message
+
+
 !      LOGICAL vtest(klon),down
 
@@ -530,5 +537,5 @@
 c      write(8,*)zmax(ig),lmax(ig),lentr(ig),lmin(ig)
       enddo
-con stoppe après les calculs de zmax et wmax
+con stope après les calculs de zmax et wmax
       RETURN
 
@@ -776,5 +783,7 @@
          do ig=1,ngrid
             if(fracd(ig,l).lt.0.1) then
-               stop'fracd trop petit'
+              abort_message = 'fracd trop petit'
+              CALL abort_gcm (modname,abort_message,1)
+
             else
 c    vitesse descendante "diagnostique"
@@ -860,6 +869,6 @@
 cRC
       if (w2di.eq.1) then
-         fm0=fm0+ptimestep*(fm-fm0)/float(tho)
-         entr0=entr0+ptimestep*(entr-entr0)/float(tho)
+         fm0=fm0+ptimestep*(fm-fm0)/REAL(tho)
+         entr0=entr0+ptimestep*(entr-entr0)/REAL(tho)
       else
          fm0=fm
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/thermcellV0_main.F90
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/thermcellV0_main.F90	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/thermcellV0_main.F90	(revision 1299)
@@ -1,4 +1,4 @@
 !
-! $Header$
+! $Id$
 !
       SUBROUTINE thermcellV0_main(itap,ngrid,nlay,ptimestep  &
@@ -165,4 +165,7 @@
       character*2 str2
       character*10 str10
+
+      character (len=20) :: modname='thermcellV0_main'
+      character (len=80) :: abort_message
 
       EXTERNAL SCOPY
@@ -484,5 +487,6 @@
 ! Test valable seulement en 1D mais pas genant
       if (.not. (f0(1).ge.0.) ) then
-           stop 'Dans thermcell_main'
+        abort_message = 'Dans thermcell_main f0(1).lt.0 '
+        CALL abort_gcm (modname,abort_message,1)
       endif
 
@@ -827,5 +831,4 @@
                   write(6,'(i3,7f10.3)') k,pplay(i,k),ztv(i,k),1000*po(i,k),ztva(i,k),1000*zqla(i,k),f_star(i,k),zw2(i,k)
                enddo
-!              stop
            endif
          enddo
@@ -863,4 +866,7 @@
 
       REAL f(ngrid)
+
+      character (len=20) :: modname='thermcellV0_main'
+      character (len=80) :: abort_message
 
       do ig=1,ngrid
@@ -885,5 +891,6 @@
                 print*,'zmax_sec',zmax_sec(ig)
                 print*,'wmax_sec',wmax_sec(ig)
-                stop
+                abort_message = 'zdenom<1.e-14'
+                CALL abort_gcm (modname,abort_message,1)
              endif
              if ((zmax_sec(ig).gt.1.e-10).and.(iflag_thermals_ed.eq.0)) then 
@@ -1338,5 +1345,5 @@
 !        if(detr_star(ig,l).GT.1.) THEN
 !         print*,'th_plumeAFT ig l detr_star f0 1/f0',ig,l,detr_star(ig,l),f0(ig), &
-!   &     float(1)/f0(ig)
+!   &     REAL(1)/f0(ig)
 !        endif
 !IM 060508 end
@@ -1656,5 +1663,4 @@
 
             if (zw2(ig,l+1)>0. .and. zw2(ig,l+1).lt.1.e-10) then
-!               stop'On tombe sur le cas particulier de thermcell_dry'
                 print*,'On tombe sur le cas particulier de thermcell_plume'
                 zw2(ig,l+1)=0.
@@ -1832,5 +1838,4 @@
 
             if (zw2(ig,l+1)>0. .and. zw2(ig,l+1).lt.1.e-10) then
-!               stop'On tombe sur le cas particulier de thermcell_dry'
 !               print*,'On tombe sur le cas particulier de thermcell_dry'
                 zw2(ig,l+1)=0.
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/thermcell_dq.F90
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/thermcell_dq.F90	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/thermcell_dq.F90	(revision 1299)
@@ -31,4 +31,6 @@
       real ztimestep
       integer niter,iter
+      CHARACTER (LEN=20) :: modname='thermcell_dq'
+      CHARACTER (LEN=80) :: abort_message
 
 
@@ -42,5 +44,6 @@
             if (entr(ig,k).gt.zzm) then
                print*,'entr dt > m ',entr(ig,k)*ptimestep,masse(ig,k)
-               stop
+               abort_message = ''
+               CALL abort_gcm (modname,abort_message,1)
             endif
          enddo
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/thermcell_dry.F90
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/thermcell_dry.F90	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/thermcell_dry.F90	(revision 1299)
@@ -1,4 +1,4 @@
 !
-! $Header$
+! $Id$
 !
        SUBROUTINE thermcell_dry(ngrid,nlay,zlev,pphi,ztv,alim_star,  &
@@ -39,4 +39,6 @@
        REAL linter(ngrid),zlevinter(ngrid)
        INTEGER lmix(ngrid),lmax(ngrid),lmin(ngrid)
+      CHARACTER (LEN=20) :: modname='thermcell_dry'
+      CHARACTER (LEN=80) :: abort_message
 
 !initialisations
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/thermcell_flux.F90
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/thermcell_flux.F90	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/thermcell_flux.F90	(revision 1299)
@@ -1,4 +1,4 @@
 !
-! $Header$
+! $Id$
 !
 
@@ -51,4 +51,7 @@
 !$OMP THREADPRIVATE(fomass_max,alphamax)
 
+      character (len=20) :: modname='thermcell_flux'
+      character (len=80) :: abort_message
+
       fomass_max=0.5
       alphamax=0.7
@@ -92,5 +95,4 @@
                     print*,'alim_star(ig,l)',alim_star(ig,l)
                     print*,'detr_star(ig,l)',detr_star(ig,l)
-!                   stop
                endif
             else
@@ -100,5 +102,6 @@
                     print*,'alim_star(ig,l)',alim_star(ig,l)
                     print*,'detr_star(ig,l)',detr_star(ig,l)
-                    stop
+                    abort_message = ''
+                    CALL abort_gcm (modname,abort_message,1)
                endif
             endif
@@ -264,5 +267,6 @@
             if (entr(ig,l)<0.) then
                print*,'N1 ig,l,entr',ig,l,entr(ig,l)
-               stop 'entr negatif'
+               abort_message = 'entr negatif'
+               CALL abort_gcm (modname,abort_message,1)
             endif
             if (detr(ig,l).gt.fm(ig,l)) then
@@ -292,5 +296,6 @@
                print*,'entr(ig,l)',entr(ig,l)
                print*,'fm(ig,l)',fm(ig,l)
-               stop 'probleme dans thermcell flux'
+               abort_message = 'probleme dans thermcell flux'
+               CALL abort_gcm (modname,abort_message,1)
             endif
          enddo
@@ -319,5 +324,6 @@
                print*,'detr(ig,l)',detr(ig,l)
                print*,'fm(ig,l)',fm(ig,l)
-               stop 'probleme dans thermcell flux'
+               abort_message = 'probleme dans thermcell flux'
+               CALL abort_gcm (modname,abort_message,1)
             endif
         enddo
@@ -420,5 +426,6 @@
                          print*,'fm(ig,l+1)',fm(ig,l+1)
                          print*,'fm(ig,l)',fm(ig,l)
-                         stop 'probleme dans thermcell_flux'
+                         abort_message = 'probleme dans thermcell_flux'
+                         CALL abort_gcm (modname,abort_message,1)
                       endif
                       entr(ig,l+1)=entr(ig,l+1)-ddd
@@ -478,4 +485,7 @@
       character*3 descr
 
+      character (len=20) :: modname='thermcell_flux'
+      character (len=80) :: abort_message
+
       lm=lmax(igout)+5
       if(lm.gt.klev) lm=klev
@@ -500,5 +510,6 @@
           print*,'detr(igout,l)',detr(igout,l)
           print*,'fm(igout,l)',fm(igout,l)
-          stop
+          abort_message = ''
+          CALL abort_gcm (modname,abort_message,1)
           endif
       enddo
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/thermcell_flux2.F90
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/thermcell_flux2.F90	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/thermcell_flux2.F90	(revision 1299)
@@ -1,2 +1,5 @@
+!
+! $Id$
+!
       SUBROUTINE thermcell_flux2(ngrid,klev,ptimestep,masse, &
      &       lalim,lmax,alim_star,  &
@@ -47,4 +50,7 @@
       save fomass_max,alphamax
 
+      character (len=20) :: modname='thermcell_flux2'
+      character (len=80) :: abort_message
+
       fomass_max=0.5
       alphamax=0.7
@@ -88,5 +94,4 @@
                     print*,'alim_star(ig,l)',alim_star(ig,l)
                     print*,'detr_star(ig,l)',detr_star(ig,l)
-!                   stop
                endif
             else
@@ -96,5 +101,6 @@
                     print*,'alim_star(ig,l)',alim_star(ig,l)
                     print*,'detr_star(ig,l)',detr_star(ig,l)
-                    stop
+                    abort_message = ''
+                    CALL abort_gcm (modname,abort_message,1)
                endif
             endif
@@ -256,5 +262,6 @@
             if (entr(ig,l)<0.) then
                print*,'N1 ig,l,entr',ig,l,entr(ig,l)
-               stop 'entr negatif'
+               abort_message = 'entr negatif'
+               CALL abort_gcm (modname,abort_message,1)
             endif
             if (detr(ig,l).gt.fm(ig,l)) then
@@ -285,5 +292,6 @@
                print*,'entr(ig,l)',entr(ig,l)
                print*,'fm(ig,l)',fm(ig,l)
-               stop 'probleme dans thermcell flux'
+               abort_message = 'probleme dans thermcell flux'
+               CALL abort_gcm (modname,abort_message,1)
             endif
          enddo
@@ -312,5 +320,6 @@
                print*,'detr(ig,l)',detr(ig,l)
                print*,'fm(ig,l)',fm(ig,l)
-               stop 'probleme dans thermcell flux'
+               abort_message = 'probleme dans thermcell flux'
+               CALL abort_gcm (modname,abort_message,1)
             endif
         enddo
@@ -413,5 +422,6 @@
                          print*,'fm(ig,l+1)',fm(ig,l+1)
                          print*,'fm(ig,l)',fm(ig,l)
-                         stop 'probleme dans thermcell_flux'
+                         abort_message = 'probleme dans thermcell_flux'
+                         CALL abort_gcm (modname,abort_message,1)
                       endif
                       entr(ig,l+1)=entr(ig,l+1)-ddd
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/thermcell_main.F90
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/thermcell_main.F90	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/thermcell_main.F90	(revision 1299)
@@ -1,4 +1,4 @@
 !
-! $Header$
+! $Id$
 !
       SUBROUTINE thermcell_main(itap,ngrid,nlay,ptimestep  &
@@ -170,4 +170,7 @@
       character*2 str2
       character*10 str10
+
+      character (len=20) :: modname='thermcell_main'
+      character (len=80) :: abort_message
 
       EXTERNAL SCOPY
@@ -466,5 +469,6 @@
 ! Test valable seulement en 1D mais pas genant
       if (.not. (f0(1).ge.0.) ) then
-           stop'Dans thermcell_main'
+              abort_message = '.not. (f0(1).ge.0.)'
+              CALL abort_gcm (modname,abort_message,1)
       endif
 
@@ -781,5 +785,4 @@
       if (prt_level.ge.1) print*,'thermcell_main FIN  OK'
 
-!     if(icount.eq.501) stop'au pas 301 dans thermcell_main'
       return
       end
@@ -817,5 +820,4 @@
                   write(6,'(i3,7f10.3)') k,pplay(i,k),ztv(i,k),1000*po(i,k),ztva(i,k),1000*zqla(i,k),f_star(i,k),zw2(i,k)
                enddo
-!              stop
            endif
          enddo
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/thermcell_old.F
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/thermcell_old.F	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/thermcell_old.F	(revision 1299)
@@ -112,4 +112,7 @@
       character (len=10) :: str10
 
+      character (len=20) :: modname='thermcell2002'
+      character (len=80) :: abort_message
+
       LOGICAL vtest(klon),down
 
@@ -336,5 +339,5 @@
             if(w2di.eq.2) then
                entr(ig,k)=entr(ig,k)+
-     s         ptimestep*(zzz-entr(ig,k))/float(tho)
+     s         ptimestep*(zzz-entr(ig,k))/REAL(tho)
             else
                entr(ig,k)=zzz
@@ -379,5 +382,4 @@
 c     print*,'ig,l+1,ztv(ig,l+1)'
 c     print*, ig,l+1,ztv(ig,l+1)
-c        stop'dans thermiques'
 c     endif
                zw2(ig,l+1)=2.*RG*(ztv(ig,l)-ztv(ig,l+1))/ztv(ig,l+1)
@@ -395,5 +397,4 @@
 c     print*,'Tv ',(ztv(ig,ll),ll=1,klev)
 c     print*,'Entr ',(entr(ig,ll),ll=1,klev)
-c        stop'dans thermiques'
 c     endif
                ztva(ig,l)=(fmc(ig,l)*ztva(ig,l-1)+entr(ig,l)*ztv(ig,l))
@@ -517,6 +518,7 @@
          do ig=1,ngrid
             if(fracd(ig,l).lt.0.1) then
-               stop'fracd trop petit'
-            else
+              abort_message = 'fracd trop petit'
+              CALL abort_gcm (modname,abort_message,1) 
+           else
 c    vitesse descendante "diagnostique"
                wd(ig,l)=fm(ig,l)/(fracd(ig,l)*rhobarz(ig,l))
@@ -588,6 +590,6 @@
 
       if (w2di.eq.1) then
-         fm0=fm0+ptimestep*(fm-fm0)/float(tho)
-         entr0=entr0+ptimestep*(entr-entr0)/float(tho)
+         fm0=fm0+ptimestep*(fm-fm0)/REAL(tho)
+         entr0=entr0+ptimestep*(entr-entr0)/REAL(tho)
       else
          fm0=fm
@@ -1000,4 +1002,7 @@
       character*2 str2
       character*10 str10
+
+      character (len=20) :: modname='thermcell_cld'
+      character (len=80) :: abort_message
 
       LOGICAL vtest(klon),down
@@ -1855,5 +1860,6 @@
        if (l.eq.klev) then
           print*,'THERMCELL PB ig=',ig,'   l=',l
-          stop
+          abort_message = 'THERMCELL PB'
+          CALL abort_gcm (modname,abort_message,1)
        endif
 !       if ((zw2(ig,l+1).gt.1.e-10).and.(zw2(ig,l).gt.1.e-10).and.
@@ -2164,5 +2170,6 @@
          do ig=1,ngrid
             if(fracd(ig,l).lt.0.1.and.(test(ig).eq.1)) then
-               stop'fracd trop petit'
+              abort_message = 'fracd trop petit'
+              CALL abort_gcm (modname,abort_message,1)
             else
 c    vitesse descendante "diagnostique"
@@ -2262,6 +2269,6 @@
 
       if (w2di.eq.1) then
-         fm0=fm0+ptimestep*(fm-fm0)/float(tho)
-         entr0=entr0+ptimestep*(alim+entr-entr0)/float(tho)
+         fm0=fm0+ptimestep*(fm-fm0)/REAL(tho)
+         entr0=entr0+ptimestep*(alim+entr-entr0)/REAL(tho)
       else
          fm0=fm
@@ -2747,4 +2754,7 @@
       character*10 str10
 
+      character (len=20) :: modname='thermcell_eau'
+      character (len=80) :: abort_message
+
       LOGICAL vtest(klon),down
       LOGICAL Zsat(klon)
@@ -3410,5 +3420,6 @@
          do ig=1,ngrid
             if(fracd(ig,l).lt.0.1) then
-               stop'fracd trop petit'
+              abort_message = 'fracd trop petit'
+              CALL abort_gcm (modname,abort_message,1)
             else
 c    vitesse descendante "diagnostique"
@@ -3481,6 +3492,6 @@
 
       if (w2di.eq.1) then
-         fm0=fm0+ptimestep*(fm-fm0)/float(tho)
-         entr0=entr0+ptimestep*(entr-entr0)/float(tho)
+         fm0=fm0+ptimestep*(fm-fm0)/REAL(tho)
+         entr0=entr0+ptimestep*(entr-entr0)/REAL(tho)
       else
          fm0=fm
@@ -3848,4 +3859,7 @@
       character*10 str10
 
+      character (len=20) :: modname='thermcell'
+      character (len=80) :: abort_message
+
       LOGICAL vtest(klon),down
 
@@ -4394,5 +4408,6 @@
          do ig=1,ngrid
             if(fracd(ig,l).lt.0.1) then
-               stop'fracd trop petit'
+              abort_message = 'fracd trop petit'
+              CALL abort_gcm (modname,abort_message,1)
             else
 c    vitesse descendante "diagnostique"
@@ -4477,6 +4492,6 @@
 cRC
       if (w2di.eq.1) then
-         fm0=fm0+ptimestep*(fm-fm0)/float(tho)
-         entr0=entr0+ptimestep*(entr-entr0)/float(tho)
+         fm0=fm0+ptimestep*(fm-fm0)/REAL(tho)
+         entr0=entr0+ptimestep*(entr-entr0)/REAL(tho)
       else
          fm0=fm
@@ -5257,4 +5272,7 @@
       character*10 str10
 
+      character (len=20) :: modname='thermcell_sec'
+      character (len=80) :: abort_message
+
       LOGICAL vtest(klon),down
 
@@ -5822,5 +5840,6 @@
          do ig=1,ngrid
             if(fracd(ig,l).lt.0.1) then
-               stop'fracd trop petit'
+              abort_message = 'fracd trop petit'
+              CALL abort_gcm (modname,abort_message,1)
             else
 c    vitesse descendante "diagnostique"
@@ -5905,6 +5924,6 @@
 cRC
       if (w2di.eq.1) then
-         fm0=fm0+ptimestep*(fm-fm0)/float(tho)
-         entr0=entr0+ptimestep*(entr-entr0)/float(tho)
+         fm0=fm0+ptimestep*(fm-fm0)/REAL(tho)
+         entr0=entr0+ptimestep*(entr-entr0)/REAL(tho)
       else
          fm0=fm
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/thermcell_plume.F90
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/thermcell_plume.F90	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/thermcell_plume.F90	(revision 1299)
@@ -1,4 +1,4 @@
 !
-! $Header$
+! $Id$
 !
       SUBROUTINE thermcell_plume(itap,ngrid,klev,ptimestep,ztv,zthl,po,zl,rhobarz,  &
@@ -436,5 +436,6 @@
             if (zw2(ig,l+1)>0. .and. zw2(ig,l+1).lt.1.e-10) then
 !               stop'On tombe sur le cas particulier de thermcell_dry'
-                print*,'On tombe sur le cas particulier de thermcell_plume'
+                write(lunout,*)                                         &
+     &          'On tombe sur le cas particulier de thermcell_plume'
                 zw2(ig,l+1)=0.
                 linter(ig)=l+1
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/tracinca_mod.F90
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/tracinca_mod.F90	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/tracinca_mod.F90	(revision 1299)
@@ -45,9 +45,10 @@
     USE vampir
     USE comgeomphy
+    USE control_mod
+
     
     IMPLICIT NONE
     
     INCLUDE "indicesol.h"
-    INCLUDE "control.h"
     INCLUDE "dimensions.h"
     INCLUDE "paramet.h"
@@ -125,5 +126,5 @@
     CALL VTb(VTinca)
     
-    calday = FLOAT(julien) + gmtime
+    calday = REAL(julien) + gmtime
     ncsec  = NINT (86400.*gmtime)
      
